Bug 136921 - [PATCH]textproc/libtre and textproc/py-libtre: update to 0.7.6
Summary: [PATCH]textproc/libtre and textproc/py-libtre: update to 0.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yi-Jheng Lin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-20 08:30 UTC by bf
Modified: 2009-07-23 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2009-07-20 08:30 UTC, bf
no flags Details | Diff
py-libtre_076_diff.txt (937 bytes, text/plain; charset=US-ASCII)
2009-07-20 08:34 UTC, b. f.
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2009-07-20 08:30:06 UTC
Miscellaneous bugfixes, minor improvements, and ... BSD license!  It appears that NetBSD will be using parts of this in their base system soon.  Prodded by: Pedro Giffuni.  Patch to associated port py-libtre to follow.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-07-20 08:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 b. f. 2009-07-20 08:34:33 UTC
The corresponding patch for py-libtre, attached.

b.
Comment 3 Yi-Jheng Lin freebsd_committer 2009-07-20 10:52:25 UTC
Responsible Changed
From-To: freebsd-python->yzlin

I'll take it.
Comment 4 Yi-Jheng Lin freebsd_committer 2009-07-20 10:55:52 UTC
State Changed
From-To: open->feedback

The second patch seems corrupted. Please send again. Thanks!
Comment 5 b. f. 2009-07-20 21:04:46 UTC
On 7/20/09, yzlin@freebsd.org <yzlin@freebsd.org> wrote:
> Synopsis: [PATCH]textproc/libtre and textproc/py-libtre: update to 0.7.6
>
> State-Changed-From-To: open->feedback
> State-Changed-By: yzlin
> State-Changed-When: Mon Jul 20 09:55:52 UTC 2009
> State-Changed-Why:
> The second patch seems corrupted. Please send again. Thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=136921
>

The second patch is encoded in base-64.  Gmail does this
automatically, so I have no way of turning it off.  I could put the
patch in the body of a message, but then the whitespace will not
necessarily be preserved.  If you would like me to do this, let me
know.  But most MUAs should be able to handle the base-64, and there
are converters in the base system and in ports.  In any event, the
second patch consists of only two changes to py-libtre: a bump in the
portversion, from 0.7.5 to 0.7.6, and the corresponding change in the
distinfo, which is identical to the distinfo change in libtre.

Regards,
                  b.
Comment 6 dfilter service freebsd_committer 2009-07-23 14:51:45 UTC
yzlin       2009-07-23 13:51:31 UTC

  FreeBSD ports repository

  Modified files:
    textproc/libtre      Makefile distinfo 
  Log:
  - Update to 0.7.6
  
  PR:             ports/136921
  Submitted by:   bf <bf1783 AT gmail.com>
  Approved by:    lwhsu (mentor)
  
  Revision  Changes    Path
  1.49      +3 -5      ports/textproc/libtre/Makefile
  1.18      +3 -3      ports/textproc/libtre/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2009-07-23 14:54:16 UTC
yzlin       2009-07-23 13:54:02 UTC

  FreeBSD ports repository

  Modified files:
    textproc/py-libtre   Makefile distinfo 
  Log:
  - Update to 0.7.6
  
  PR:             ports/136921
  Submitted by:   bf <bf1783 AT gmail.com> (maintainer)
  Approved by:    lwhsu (mentor)
  
  Revision  Changes    Path
  1.3       +1 -1      ports/textproc/py-libtre/Makefile
  1.2       +3 -3      ports/textproc/py-libtre/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Yi-Jheng Lin freebsd_committer 2009-07-23 14:54:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!